Subject: Re: [PATCH] MAINTAINERS: Drop Li Yang as their email address stopped working

From: Michael Ellerman <[email-masked]>
Date: Mon, 08 Apr 2024 14:48:23 +1000

Uwe Kleine-König <[email-masked]> writes:
> When sending a patch to (among others) Li Yang the nxp MTA replied that
> the address doesn't exist and so the mail couldn't be delivered. The
> error code was 550, so at least technically that's not a temporal issue.
>
> Signed-off-by: Uwe Kleine-König <[email-masked]>
> ---
> Hello,
>
> I added the affected maintainers and lists to Cc:, maybe someone there
> knows if this issue is only temporal?

Apparently not. See https://lore.kernel.org/all/20240219153016.ntltc76bphwrv6hn@skbuf/

  Leo Li (Li Yang) is no longer with NXP.

cheers

> @Greg: Given that I noticed the non-existing address when sending an usb
> patch, I suggest you care for application of this patch (iff it should
> be applied now). If Li Yang disappeared indeed, I'd prefer to drop the
> contact from MAINTAINERS early to not give wrong expectations to
> contributors.
>
> Best regards
> Uwe
>
>  MAINTAINERS | 11 +++--------
>  1 file changed, 3 insertions(+), 8 deletions(-)
>
> diff --git a/MAINTAINERS b/MAINTAINERS
> index 7c121493f43d..be19aad15045 100644
> --- a/MAINTAINERS
> +++ b/MAINTAINERS
> @@ -2191,7 +2191,6 @@ N:	mxs
>  
>  ARM/FREESCALE LAYERSCAPE ARM ARCHITECTURE
>  M:	Shawn Guo <[email-masked]>
> -M:	Li Yang <[email-masked]>
>  L:	[email-masked] (moderated for non-subscribers)
>  S:	Maintained
>  T:	git git://git.kernel.org/pub/scm/linux/kernel/git/shawnguo/linux.git
> @@ -8523,7 +8522,6 @@ S:	Maintained
>  F:	drivers/video/fbdev/fsl-diu-fb.*
>  
>  FREESCALE DMA DRIVER
> -M:	Li Yang <[email-masked]>
>  M:	Zhang Wei <[email-masked]>
>  L:	[email-masked]
>  S:	Maintained
> @@ -8688,10 +8686,9 @@ F:	drivers/soc/fsl/qe/tsa.h
>  F:	include/dt-bindings/soc/cpm1-fsl,tsa.h
>  
>  FREESCALE QUICC ENGINE UCC ETHERNET DRIVER
> -M:	Li Yang <[email-masked]>
>  L:	[email-masked]
>  L:	[email-masked]
> -S:	Maintained
> +S:	Orphan
>  F:	drivers/net/ethernet/freescale/ucc_geth*
>  
>  FREESCALE QUICC ENGINE UCC HDLC DRIVER
> @@ -8708,10 +8705,9 @@ S:	Maintained
>  F:	drivers/tty/serial/ucc_uart.c
>  
>  FREESCALE SOC DRIVERS
> -M:	Li Yang <[email-masked]>
>  L:	[email-masked]
>  L:	[email-masked] (moderated for non-subscribers)
> -S:	Maintained
> +S:	Orphan
>  F:	Documentation/devicetree/bindings/misc/fsl,dpaa2-console.yaml
>  F:	Documentation/devicetree/bindings/soc/fsl/
>  F:	drivers/soc/fsl/
> @@ -8745,10 +8741,9 @@ F:	Documentation/devicetree/bindings/sound/fsl,qmc-audio.yaml
>  F:	sound/soc/fsl/fsl_qmc_audio.c
>  
>  FREESCALE USB PERIPHERAL DRIVERS
> -M:	Li Yang <[email-masked]>
>  L:	[email-masked]
>  L:	[email-masked]
> -S:	Maintained
> +S:	Orphan
>  F:	drivers/usb/gadget/udc/fsl*
>  
>  FREESCALE USB PHY DRIVER
>
> base-commit: c85af715cac0a951eea97393378e84bb49384734
> -- 
> 2.43.0